Bug 64302 - Writer’s Special Character dialog could be simpler
Summary: Writer’s Special Character dialog could be simpler
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: All All
: medium enhancement
Assignee: Szymon Kłos
QA Contact:
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-07 01:53 UTC by Adolfo Jayme
Modified: 2015-03-24 10:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Mockup (22.02 KB, image/png)
2013-05-07 01:53 UTC, Adolfo Jayme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2013-05-07 01:53:13 UTC
Created attachment 78960 [details]
Mockup

Writer’s “Special Character” dialog (http://cgit.freedesktop.org/libreoffice/core/tree/cui/uiconfig/ui/specialcharacters.ui) could be simpler. When you click on a character, it is added to a non-editable string (“Characters”) at the bottom of the dialog. In order to remove undesired characters from the string, the dialog has two buttons: “Delete” (that removes all the characters) and “Delete Last” (that only removes the last one, and was recently added to fix bug #63503).

In order to simplify the UI, these two buttons could be entirely removed without unfixing the bug I referenced above. It would be better if the “Characters” string be removed and replaced with a “Characters” text box, that would behave exactly the same as the current string, but allowing the user to delete undesired characters one by one, by pressing Backspace/Del in their keyboard.
Comment 1 Jorendc 2013-05-16 16:40:11 UTC
Looks like a valid enhancement request to me.
Thanks for your clear report, mockup image and research.

Kind regards,
Joren
Comment 2 Joel Madero 2014-02-27 22:55:17 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 3 Commit Notification 2014-09-24 19:09:36 UTC
Szymon KÅos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=16ea2665cdfa0b3d7b0d7abcdaae8d60f7654d24

fdo#64302: Writerâs Special Character dialog could be simpler



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Luke 2014-09-25 04:19:58 UTC
Szymon,
The current behavior is to append the characters to the end. Would it be possible to make it so the characters are inserted where the cursor is? Otherwise, it's looking great! Thanks for fixing this.
Comment 5 Szymon Kłos 2014-09-25 16:30:24 UTC
I fixed this: https://gerrit.libreoffice.org/#/c/11642/
Regards,
Szymon
Comment 6 Adolfo Jayme 2014-09-26 18:48:40 UTC
It works and looks beautifully. Thank you!
Comment 7 Mike §chinagl 2014-12-20 21:58:45 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 


Special characters are now added to an editable field so special characters can be inserted/removed at the location of the cursor in the field.

See a graphic of the work:
https://wiki.documentfoundation.org/File:4.4_Simplification_of_Writer_special_character_dialog.png